%define name ikit
%define version 2.1
%define release 2mdk

Summary: Image Processing Kit
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Graphics
Source: %{name}-%{version}.tar.bz2
URL: http://www.picturel.com/software.html
Packager: Stephen Williams <steve@icarus.com>
Buildroot: /var/tmp/%{name}-buildroot
Requires: tcl, tk

%description
Tcl/Tk extensions for detailed processing of large images,
and an extensible image manipulation application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --prefix=/usr
make

%install
#make install

install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 {ikit,tclikit,wishikit} $RPM_BUILD_ROOT/usr/bin/

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/ikit
install -m 644 *.tcl $RPM_BUILD_ROOT/usr/lib/ikit/
install -m 644 *.so $RPM_BUILD_ROOT/usr/lib/

#install -m 755 -d $RPM_BUILD_ROOT/usr/include
#install -m 644 Ik.h $RPM_BUILD_ROOT/usr/include/

install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 {README,README.NT,README.kit,NEWS} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/

%files
%defattr (-,root,root)
%doc README README.NT README.kit NEWS
%dir /usr/lib/ikit
/usr/lib/ikit/ikit_bmp.tcl
/usr/lib/ikit/ikit_func.tcl
/usr/lib/ikit/ikit_jpeg.tcl
/usr/lib/ikit/ikit_pbm.tcl
/usr/lib/ikit/ikit_png.tcl
/usr/lib/ikit/ikit_rawbits.tcl
/usr/lib/ikit/ikit_tiff.tcl
/usr/lib/libikit.so
/usr/lib/libikitx.so
/usr/bin/*
#/usr/include/Ik.h

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- fix group

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

